---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 3e541f52-5aa3-541a-a508-e57b8266f863
      tier: AATSR_CMP_MONTH
      value: 0.11639176309108734
    brdf:
      alpha_1:
        band_1: 0.4869916992071744
        band_11: 0.34013465985024144
        band_12: 0.13298835453086144
        band_2: 0.4872291257599945
        band_3: 0.568089957014952
        band_4: 0.35980473648904837
        band_5: 0.3599869008409147
        band_6: 0.35996028062553825
        band_7: 0.5176493776224667
        band_8: 0.5175799697919764
        band_8a: 0.5176527733093161
      alpha_2:
        band_1: 0.09901321636412361
        band_11: 0.11521383144925483
        band_12: 0.14892794614435395
        band_2: 0.09901616732001586
        band_3: 0.10084530518465895
        band_4: 0.12705513126591086
        band_5: 0.12703230875453145
        band_6: 0.12703000481842347
        band_7: 0.07987806213400472
        band_8: 0.07988970969118903
        band_8a: 0.07985760527016618
      id:
      - c2ff6470-3e79-5f3e-96ea-ddf70d0b5520
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 996d2a44-c4de-5d21-ad4c-fe5382829740
      tier: DEFINITIVE
      value: 0.283
    water_vapour:
      id:
      - f26d87e9-b689-5dc8-819d-ea541dfabfef
      tier: DEFINITIVE
      value: 3.1399999618530274
  id: 4c05775e-2b8f-466e-b2da-85621aae5a9a
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1980.6018332879114
      BAND-11: 243.55581001062347
      BAND-12: 85.21177511187919
      BAND-2: 2033.4199978055958
      BAND-3: 1905.516772177694
      BAND-4: 1555.44707245694
      BAND-5: 1436.1258964273022
      BAND-6: 1313.024087460724
      BAND-7: 1206.9444957121307
      BAND-8: 1061.183496967598
      BAND-8A: 967.4040126922644
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2018-11-10 02:13:22.690000Z
    atime: 2022-08-22 08:10:06Z
    ctime: 2018-11-10 07:54:35Z
    mtime: 2018-11-10 07:54:32Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2018/2018-11/20S120E-25S125E/S2B_MSIL1C_20181110T020439_N0207_R017_T51KVS_20181110T042707.zip
  system_information:
    hostname: gadi-cpu-clx-0753.gadi.nci.org.au
    runtime_id: d5048468-21f1-11ed-89fc-0000018ffe80
    time_processed: 2022-08-22 08:10:06.284691Z
    uname: 'Linux gadi-cpu-clx-0753.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 13.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 4
  granule: S2B_OPER_MSI_L1C_TL_EPAE_20181110T042707_A008766_T51KVS_N02.07
  ref_date: '2014-02-22T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/109/074/LC81090742014053LGN00_B6.TIF
  residual:
    abs:
      x: 4.0
      xy: 108.43
      y: 108.35
    abs_iterative_mean:
      x: 2.43
      xy: 108.98
      y: 108.96
    cep90: 111.67
    iterative_mean:
      x: 1.31
      xy: 108.96
      y: 108.96
    iterative_stddev:
      x: 3.32
      xy: 4.71
      y: 3.34
    mean:
      x: 1.94
      xy: 108.37
      y: 108.35
    stddev:
      x: 4.29
      xy: 6.34
      y: 4.67
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 78.72297932788153
    cloud: 18.34827168741145
    cloud_shadow: 2.8064822363712096
    snow: 0.0
    water: 0.12226674833579959
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 87.55584170863833
    cloud: 12.444158291361678
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
